--
-- bhpos database 
--
-- v1.2.3
--

create database bananas;

use bananas;

CREATE TABLE account (
  id int(11) NOT NULL auto_increment,
  parentid int(11) NOT NULL default '0',
  accountnumber varchar(32) NOT NULL default '',
  name varchar(128) NOT NULL default '',
  title int(11) NOT NULL default '0',
  gref int(11) NOT NULL default '0',
  profitloss char(1) NOT NULL default 'N',
  PRIMARY KEY  (id),
  KEY accountnumber (accountnumber),
  KEY profitloss (profitloss)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `accountheading`
#

CREATE TABLE accountheading (
  id mediumint(9) NOT NULL auto_increment,
  parentid int(11) NOT NULL default '0',
  name varchar(128) NOT NULL default '',
  sref int(11) NOT NULL default '0',
  eref int(11) NOT NULL default '0',
  gref int(11) NOT NULL default '0',
  type int(1) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `address`
#

CREATE TABLE address (
  id int(11) NOT NULL auto_increment,
  address1 varchar(128) NOT NULL default 'No Name',
  address2 varchar(128) NOT NULL default 'No Name',
  address3 varchar(128) NOT NULL default 'No Name',
  city varchar(64) NOT NULL default 'No Name',
  state varchar(32) NOT NULL default '',
  postcode varchar(32) NOT NULL default 'No Name',
  countryid smallint(4) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `adjustment`
#

CREATE TABLE adjustment (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  enteredat timestamp NOT NULL,
  stationid varchar(20) NOT NULL default '',
  userid int(11) NOT NULL default '0',
  typeid int(11) NOT NULL default '0',
  amount double NOT NULL default '0',
  data varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `adjustmenttype`
#

CREATE TABLE adjustmenttype (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  active char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `authority`
#

CREATE TABLE authority (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  perm_login char(1) NOT NULL default 'N',
  perm_list char(1) NOT NULL default 'N',
  perm_browse char(1) NOT NULL default 'N',
  perm_add char(1) NOT NULL default 'N',
  perm_edit char(1) NOT NULL default 'N',
  perm_delete char(1) NOT NULL default 'N',
  perm_shutdown char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `badcheque`
#

CREATE TABLE badcheque (
  id int(11) NOT NULL auto_increment,
  chequeid int(11) NOT NULL default '0',
  addedby int(11) NOT NULL default '0',
  addeddate date NOT NULL default '0000-00-00',
  name varchar(128) NOT NULL default '',
  chequestart varchar(32) NOT NULL default '',
  chequeend varchar(32) NOT NULL default '',
  bankdata varchar(128) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `bankdetails`
#

CREATE TABLE bankdetails (
  id int(11) NOT NULL auto_increment,
  bankid int(11) NOT NULL default '0',
  accountid int(11) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  branch varchar(64) NOT NULL default '',
  addressid int(11) NOT NULL default '0',
  contactid int(11) NOT NULL default '0',
  banksortcode varchar(32) NOT NULL default '',
  banknumber varchar(32) NOT NULL default '',
  PRIMARY KEY  (id),
  KEY account_id (accountid)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `bankitem`
#

CREATE TABLE bankitem (
  id int(11) NOT NULL auto_increment,
  bankid int(11) NOT NULL default '0',
  itemdate date NOT NULL default '0000-00-00',
  itemtype int(11) NOT NULL default '0',
  accountid int(11) NOT NULL default '0',
  transid int(11) NOT NULL default '0',
  referencedata varchar(32) NOT NULL default '',
  amount double NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `bankitemtype`
#

CREATE TABLE bankitemtype (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `bqname`
#

CREATE TABLE bqname (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  accountid int(11) NOT NULL default '0',
  onmenu char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `category`
#

CREATE TABLE category (
  id int(11) NOT NULL auto_increment,
  parentid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  description varchar(128) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `chargeaccount`
#

CREATE TABLE chargeaccount (
  id int(11) NOT NULL auto_increment,
  chargeid int(11) NOT NULL default '0',
  typeid tinyint(4) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  creditlimit float(6,2) NOT NULL default '0.00',
  lasttransaction date NOT NULL default '0000-00-00',
  accountid varchar(32) NOT NULL default '0',
  standardterms char(1) NOT NULL default 'N',
  codterms char(1) NOT NULL default 'N',
  prepaidterms char(1) NOT NULL default 'N',
  termstype char(1) NOT NULL default 'N',
  duemonthend char(1) NOT NULL default 'N',
  duedays int(3) NOT NULL default '0',
  discountdays int(3) NOT NULL default '0',
  discountid int(11) NOT NULL default '0',
  notes varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `chargeacctype`
#

CREATE TABLE chargeacctype (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `chargeitem`
#

CREATE TABLE chargeitem (
  id int(11) NOT NULL auto_increment,
  chargeaccountid int(11) NOT NULL default '0',
  targetid int(11) NOT NULL default '0',
  transid int(11) NOT NULL default '0',
  enteredat timestamp NOT NULL,
  amount double NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `class`
#

CREATE TABLE class (
  id int(11) NOT NULL auto_increment,
  classid int(11) NOT NULL default '0',
  sdate date NOT NULL default '0000-00-00',
  edate date NOT NULL default '0000-00-00',
  minnumber int(11) NOT NULL default '1',
  maxnumber int(11) NOT NULL default '1',
  name varchar(64) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  restrictions varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `collection`
#

CREATE TABLE collection (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  description varchar(64) NOT NULL default '',
  collectionid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `contactdetails`
#

CREATE TABLE contactdetails (
  id int(11) NOT NULL auto_increment,
  contactdetailsid int(11) NOT NULL default '0',
  typeid int(11) NOT NULL default '0',
  data varchar(64) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `contacts`
#

CREATE TABLE contacts (
  id int(11) NOT NULL auto_increment,
  contactid int(11) NOT NULL default '0',
  contactdetailsid int(11) NOT NULL default '0',
  ownerid int(11) NOT NULL default '0',
  addressid int(11) NOT NULL default '0',
  imageid int(11) NOT NULL default '0',
  titleid tinyint(4) NOT NULL default '0',
  firstname varchar(32) NOT NULL default 'No Name',
  lastname varchar(64) NOT NULL default 'No Name',
  middleinitial char(1) NOT NULL default '',
  birthdate date NOT NULL default '0000-00-00',
  lastcontact date NOT NULL default '0000-00-00',
  timezone tinyint(4) NOT NULL default '0',
  private char(1) NOT NULL default 'N',
  memoid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `contacttype`
#

CREATE TABLE contacttype (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `country`
#

CREATE TABLE country (
  id smallint(6) NOT NULL auto_increment,
  name char(64) NOT NULL default '',
  isoname char(4) NOT NULL default '',
  smallisoname char(2) NOT NULL default '',
  addressformat tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `course`
#

CREATE TABLE course (
  id int(11) NOT NULL auto_increment,
  courseid int(11) NOT NULL default '0',
  sdate date NOT NULL default '0000-00-00',
  edate date NOT NULL default '0000-00-00',
  minnumber int(11) NOT NULL default '1',
  maxnumber int(11) NOT NULL default '1',
  name varchar(64) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  restrictions varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `createmod`
#

CREATE TABLE createmod (
  id int(11) NOT NULL auto_increment,
  creationdate date NOT NULL default '0000-00-00',
  modifieddate date NOT NULL default '0000-00-00',
  createdby int(11) NOT NULL default '0',
  modifiedby int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `currency`
#

CREATE TABLE currency (
  id smallint(6) NOT NULL auto_increment,
  countryid smallint(6) NOT NULL default '0',
  bigname char(32) NOT NULL default '',
  isoname char(4) NOT NULL default '',
  isonumber smallint(6) NOT NULL default '0',
  monetaryunitsid int(4) NOT NULL default '1',
  smallname char(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `custcallhistory`
#

CREATE TABLE custcallhistory (
  id int(11) NOT NULL auto_increment,
  custid int(11) NOT NULL default '0',
  cdate date NOT NULL default '0000-00-00',
  caller char(64) NOT NULL default '',
  subject char(64) default NULL,
  details char(64) default NULL,
  actionid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `custflags`
#

CREATE TABLE custflags (
  id int(11) NOT NULL auto_increment,
  custid int(11) NOT NULL default '0',
  edate date NOT NULL default '0000-00-00',
  notes varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `custhistory`
#

CREATE TABLE custhistory (
  id int(11) NOT NULL auto_increment,
  custid int(11) NOT NULL default '0',
  transid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `custinterventionhistory`
#

CREATE TABLE custinterventionhistory (
  id int(11) NOT NULL auto_increment,
  custid int(11) NOT NULL default '0',
  contactwhoid int(11) NOT NULL default '0',
  contacttime timestamp NOT NULL,
  outtime timestamp NOT NULL,
  arrivetime timestamp NOT NULL,
  leavetime timestamp NOT NULL,
  cause varchar(64) NOT NULL default '',
  cure varchar(64) NOT NULL default '',
  billed char(1) NOT NULL default 'N',
  interventistid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `customer`
#

CREATE TABLE customer (
  id int(11) NOT NULL auto_increment,
  cmid int(11) NOT NULL default '0',
  contactid int(11) NOT NULL default '0',
  storecardid int(11) NOT NULL default '0',
  loyalityid int(11) NOT NULL default '0',
  signatureid int(11) NOT NULL default '0',
  chargeaccountid int(11) NOT NULL default '0',
  notes varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `delivery`
#

CREATE TABLE delivery (
  id int(11) NOT NULL auto_increment,
  cmid int(11) NOT NULL default '0',
  delivererid int(11) NOT NULL default '0',
  customerid int(11) NOT NULL default '0',
  transactionid int(11) NOT NULL default '0',
  status int(1) NOT NULL default '0',
  amount float NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `departments`
#

CREATE TABLE departments (
  id int(11) NOT NULL auto_increment,
  deptid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  siteid int(11) NOT NULL default '0',
  annualbudget float(6,2) NOT NULL default '0.00',
  headid int(11) NOT NULL default '0',
  localeid int(4) NOT NULL default '0',
  currencyid int(4) NOT NULL default '0',
  active char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `deposit`
#

CREATE TABLE deposit (
  id int(11) NOT NULL auto_increment,
  depositid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  percentage double NOT NULL default '0',
  refundable char(1) NOT NULL default 'N',
  type int(1) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `discount`
#

CREATE TABLE discount (
  id int(11) NOT NULL auto_increment,
  discountid varchar(16) NOT NULL default '',
  type int(1) NOT NULL default '0',
  ident int(11) NOT NULL default '0',
  targetid int(11) NOT NULL default '0',
  margin double NOT NULL default '0',
  status varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `discreetdiscount`
#

CREATE TABLE discreetdiscount (
  id int(11) NOT NULL auto_increment,
  transactionid int(11) NOT NULL default '0',
  userid int(11) NOT NULL default '0',
  stationid varchar(20) NOT NULL default '0',
  type int(1) NOT NULL default '0',
  plu varchar(16) NOT NULL default '',
  margin float NOT NULL default '1',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `discrepancy`
#

CREATE TABLE discrepancy (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  enteredat timestamp NOT NULL,
  stationid varchar(20) NOT NULL default '',
  userid int(11) NOT NULL default '0',
  typeid int(11) NOT NULL default '0',
  amount double NOT NULL default '0',
  data varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `discrepancytype`
#

CREATE TABLE discrepancytype (
  id tinyint(4) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  active char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `doctor`
#

CREATE TABLE doctor (
  id int(11) NOT NULL auto_increment,
  fname varchar(32) NOT NULL default '',
  lname varchar(32) NOT NULL default '',
  statelicence varchar(32) NOT NULL default '',
  dea varchar(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `document`
#

CREATE TABLE document (
  id int(11) NOT NULL auto_increment,
  documentid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  type int(11) NOT NULL default '0',
  filename varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `edicaps`
#

CREATE TABLE edicaps (
  id int(11) NOT NULL auto_increment,
  type varchar(64) NOT NULL default '',
  method varchar(64) NOT NULL default '',
  interfaceid varchar(64) NOT NULL default '',
  handled char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `employee`
#

CREATE TABLE employee (
  id int(11) NOT NULL auto_increment,
  employeeid int(11) NOT NULL default '0',
  employeenumber varchar(16) NOT NULL default '',
  groupid int(11) NOT NULL default '0',
  startdate date NOT NULL default '0000-00-00',
  enddate date NOT NULL default '0000-00-00',
  titleid tinyint(4) NOT NULL default '0',
  fname varchar(32) NOT NULL default '',
  lname varchar(32) NOT NULL default '',
  sex char(1) NOT NULL default 'M',
  dob date NOT NULL default '0000-00-00',
  addressid int(11) NOT NULL default '0',
  jobdesc varchar(64) NOT NULL default '',
  imageid int(11) NOT NULL default '0',
  payid int(4) NOT NULL default '0',
  annualpay float(6,2) NOT NULL default '0.00',
  holidayentitlementid int(11) NOT NULL default '0',
  holidaytakenid int(11) NOT NULL default '0',
  taxcode varchar(16) NOT NULL default '',
  nicode varchar(16) NOT NULL default '',
  ninumber varchar(16) NOT NULL default '',
  prevtax float(6,2) NOT NULL default '0.00',
  prevpay float(6,2) NOT NULL default '0.00',
  bankid int(11) NOT NULL default '0',
  memoid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `employeeaction`
#

CREATE TABLE employeeaction (
  id int(11) NOT NULL auto_increment,
  name char(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `employeelog`
#

CREATE TABLE employeelog (
  id int(11) NOT NULL auto_increment,
  employeeid int(11) NOT NULL default '0',
  actionid int(11) NOT NULL default '0',
  stamper timestamp NOT NULL,
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `ephemeral_plu`
#

CREATE TABLE ephemeral_plu (
  id int(11) NOT NULL auto_increment,
  refid int(11) NOT NULL default '0',
  entryat timestamp NOT NULL,
  plu varchar(128) NOT NULL default '',
  plutype int(2) NOT NULL default '0',
  name varchar(64) NOT NULL default 'No Name',
  rectext varchar(64) NOT NULL default '',
  unitprice double NOT NULL default '0',
  discount float NOT NULL default '0',
  tax float NOT NULL default '0',
  type varchar(32) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY PLU (plu)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `errorlog`
#

CREATE TABLE errorlog (
  id int(11) NOT NULL auto_increment,
  issuedat timestamp NOT NULL,
  issuedfrom varchar(20) NOT NULL default '',
  issuedby int(11) NOT NULL default '0',
  ackedat timestamp NOT NULL,
  type int(1) NOT NULL default '0',
  ident int(11) NOT NULL default '0',
  error varchar(64) NOT NULL default '',
  KEY ID (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `faultlog`
#

CREATE TABLE faultlog (
  id int(11) NOT NULL auto_increment,
  custid int(11) NOT NULL default '0',
  date date NOT NULL default '0000-00-00',
  memo varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `gaccref`
#

CREATE TABLE gaccref (
  id int(11) NOT NULL auto_increment,
  accountnumber varchar(32) NOT NULL default '0',
  name varchar(128) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY AccountNumber (accountnumber)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `goodstransfer`
#

CREATE TABLE goodstransfer (
  id int(11) NOT NULL auto_increment,
  goodstransferid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  originator int(11) NOT NULL default '0',
  destination int(11) NOT NULL default '0',
  status int(1) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `goodstransferitem`
#

CREATE TABLE goodstransferitem (
  id int(11) NOT NULL auto_increment,
  goodstransferid int(11) NOT NULL default '0',
  inventoryid int(11) NOT NULL default '0',
  quantity int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `groups`
#

CREATE TABLE groups (
  id int(11) NOT NULL auto_increment,
  groupid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  deptid int(11) NOT NULL default '0',
  localeid int(4) NOT NULL default '0',
  currencyid int(4) NOT NULL default '0',
  active char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `holidayentitlement`
#

CREATE TABLE holidayentitlement (
  id int(11) NOT NULL auto_increment,
  employeeid int(11) NOT NULL default '0',
  typeid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `holidaytype`
#

CREATE TABLE holidaytype (
  id tinyint(4) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  numdays tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `imagedata`
#

CREATE TABLE imagedata (
  id int(11) NOT NULL auto_increment,
  type int(1) NOT NULL default '0',
  reffile varchar(255) NOT NULL default '',
  width mediumint(9) NOT NULL default '0',
  height int(4) NOT NULL default '0',
  bbp mediumint(9) NOT NULL default '0',
  scale mediumint(9) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `insurer`
#

CREATE TABLE insurer (
  id int(11) NOT NULL auto_increment,
  insurerid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  addressid int(11) NOT NULL default '0',
  invoicename varchar(64) NOT NULL default '',
  invoicecontactid int(11) NOT NULL default '0',
  invoiceaddressid int(11) NOT NULL default '0',
  contactid int(11) NOT NULL default '0',
  notes varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `interface`
#

CREATE TABLE interface (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  description varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `inventory`
#

CREATE TABLE inventory (
  id int(11) NOT NULL auto_increment,
  parentid int(11) NOT NULL default '0',
  categoryid int(11) NOT NULL default '0',
  partnumber int(4) unsigned NOT NULL default '0',
  parttype smallint(6) NOT NULL default '0',
  stocklocation varchar(16) NOT NULL default '',
  description varchar(64) NOT NULL default '',
  instock int(11) NOT NULL default '0',
  maxstock int(11) NOT NULL default '0',
  onorder int(11) NOT NULL default '0',
  rolevel int(11) NOT NULL default '0',
  roqty int(11) NOT NULL default '0',
  reservedqty int(11) NOT NULL default '0',
  leadtime int(11) NOT NULL default '0',
  partclassification int(11) NOT NULL default '0',
  buyquantitypriceid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '1',
  invlink int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `invitemquantitytype`
#

CREATE TABLE invitemquantitytype (
  id int(11) NOT NULL auto_increment,
  name char(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `invpricequantity`
#

CREATE TABLE invpricequantity (
  id int(11) NOT NULL auto_increment,
  invprqid mediumint(9) NOT NULL default '0',
  nameid int(11) NOT NULL default '1',
  quantity double NOT NULL default '1',
  quantitytypeid int(11) NOT NULL default '0',
  udv int(11) NOT NULL default '1',
  price double(14,4) NOT NULL default '0.0000',
  basecurrencyid mediumint(9) NOT NULL default '0',
  supplierid int(11) NOT NULL default '0',
  suppliercode varchar(64) NOT NULL default '',
  ediid int(11) NOT NULL default '0',
  accountid int(11) NOT NULL default '0',
  taxid int(4) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `itemflags`
#

CREATE TABLE itemflags (
  id int(11) NOT NULL auto_increment,
  flagid int(11) NOT NULL default '0',
  type int(1) NOT NULL default '0',
  data varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `label`
#

CREATE TABLE label (
  id int(11) NOT NULL auto_increment,
  labelid int(11) NOT NULL default '0',
  type int(1) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  xdim int(11) NOT NULL default '0',
  ydim int(11) NOT NULL default '0',
  data varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `labelsheet`
#

CREATE TABLE labelsheet (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  printsheetid int(11) NOT NULL default '0',
  numx tinyint(4) NOT NULL default '0',
  numy tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `layby`
#

CREATE TABLE layby (
  id int(11) NOT NULL auto_increment,
  orderid int(11) NOT NULL default '0',
  ordernumber varchar(64) NOT NULL default '',
  customerid int(11) NOT NULL default '0',
  transactionid int(11) NOT NULL default '0',
  statusid int(11) NOT NULL default '0',
  dateplaced date NOT NULL default '0000-00-00',
  daterequired date NOT NULL default '0000-00-00',
  total float(6,2) NOT NULL default '0.00',
  paid float(6,2) NOT NULL default '0.00',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `ledger`
#

CREATE TABLE ledger (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  description varchar(128) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `ledgerentry`
#

CREATE TABLE ledgerentry (
  id int(11) NOT NULL auto_increment,
  ledgerid int(11) NOT NULL default '0',
  typeid int(11) NOT NULL default '0',
  transactionid int(11) NOT NULL default '0',
  entereddate date NOT NULL default '0000-00-00',
  periodid int(11) NOT NULL default '0',
  accountid int(11) NOT NULL default '0',
  description varchar(64) NOT NULL default '',
  debit char(1) NOT NULL default 'N',
  amount double NOT NULL default '0',
  open char(1) NOT NULL default 'Y',
  committed char(1) NOT NULL default 'N',
  referenceid int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY debit (debit)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `ledgerreference`
#

CREATE TABLE ledgerreference (
  id int(11) NOT NULL auto_increment,
  refid int(11) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  reftable varchar(64) NOT NULL default '',
  reffield varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `ledgertype`
#

CREATE TABLE ledgertype (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `loginmethod`
#

CREATE TABLE loginmethod (
  id int(11) NOT NULL auto_increment,
  litdata int(1) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `logintypes`
#

CREATE TABLE logintypes (
  id int(11) NOT NULL auto_increment,
  loginid int(11) NOT NULL default '0',
  ident varchar(255) NOT NULL default '',
  data varchar(255) NOT NULL default '',
  loginmethodid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `margin`
#

CREATE TABLE margin (
  id int(11) NOT NULL auto_increment,
  marginid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  margin float NOT NULL default '0',
  productcollid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `margincollection`
#

CREATE TABLE margincollection (
  id int(11) NOT NULL auto_increment,
  margincollid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  type int(1) NOT NULL default '0',
  marginid int(11) NOT NULL default '0',
  sitecollid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `memo`
#

CREATE TABLE memo (
  id int(11) NOT NULL auto_increment,
  memoid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  subject varchar(64) NOT NULL default '',
  data varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `menu`
#

CREATE TABLE menu (
  id int(11) NOT NULL auto_increment,
  cmid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  description varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `menuheading`
#

CREATE TABLE menuheading (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `menuitem`
#

CREATE TABLE menuitem (
  id int(11) NOT NULL auto_increment,
  cmid int(11) NOT NULL default '0',
  menuid int(11) NOT NULL default '0',
  menuheadingid int(11) NOT NULL default '0',
  productid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  description varchar(64) NOT NULL default '',
  price double NOT NULL default '0',
  printerid int(11) NOT NULL default '0',
  rectext varchar(32) NOT NULL default '',
  available char(1) NOT NULL default 'Y',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `menuitemoptions`
#

CREATE TABLE menuitemoptions (
  id int(11) NOT NULL auto_increment,
  cmid int(11) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  description varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `menuschedule`
#

CREATE TABLE menuschedule (
  id int(11) NOT NULL auto_increment,
  menuid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `mismenu`
#

CREATE TABLE mismenu (
  id int(11) NOT NULL auto_increment,
  menuid int(11) NOT NULL default '0',
  parentid int(11) NOT NULL default '0',
  sortorder int(11) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  moduleid int(11) NOT NULL default '0',
  basedir varchar(80) NOT NULL default '',
  phpfile varchar(80) NOT NULL default '',
  action varchar(80) NOT NULL default '',
  imagefile varchar(128) NOT NULL default '',
  type int(1) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY ParentID (parentid,sortorder)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `mismenuauth`
#

CREATE TABLE mismenuauth (
  id int(11) NOT NULL auto_increment,
  menuid int(11) NOT NULL default '0',
  interfaceid int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY MenuID (menuid)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `mismodule`
#

CREATE TABLE mismodule (
  id int(11) NOT NULL auto_increment,
  moduleid int(11) NOT NULL default '0',
  version varchar(12) NOT NULL default '"00.00.00.00',
  name varchar(80) NOT NULL default '',
  title varchar(255) NOT NULL default '',
  author varchar(255) NOT NULL default '',
  cmid int(11) NOT NULL default '0',
  description varchar(255) NOT NULL default '',
  enabled char(1) NOT NULL default 'N',
  PRIMARY KEY  (id),
  KEY Name (name)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `misuser`
#

CREATE TABLE misuser (
  id int(11) NOT NULL auto_increment,
  userid int(11) NOT NULL default '0',
  menuid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `monetaryunits`
#

CREATE TABLE monetaryunits (
  id int(4) NOT NULL auto_increment,
  muid int(4) NOT NULL default '0',
  unit smallint(6) NOT NULL default '0',
  Value float NOT NULL default '0',
  lowamount int(11) NOT NULL default '0',
  highamount int(11) NOT NULL default '0',
  defamount int(11) NOT NULL default '20',
  defround char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `monitorlog`
#

CREATE TABLE monitorlog (
  id int(11) NOT NULL auto_increment,
  monitorid int(11) NOT NULL default '0',
  enteredat timestamp NOT NULL,
  value double NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `nirates`
#

CREATE TABLE nirates (
  id int(11) NOT NULL auto_increment,
  name char(16) NOT NULL default '',
  employeerate float(6,2) NOT NULL default '0.00',
  employerrate float(6,2) NOT NULL default '0.00',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `orderitems`
#

CREATE TABLE orderitems (
  id int(11) NOT NULL auto_increment,
  orderid int(11) NOT NULL default '0',
  productid int(11) NOT NULL default '0',
  quantity int(11) NOT NULL default '1',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `orders`
#

CREATE TABLE orders (
  id int(11) NOT NULL auto_increment,
  orderid int(11) NOT NULL default '0',
  ordernumber varchar(64) NOT NULL default '',
  customerid int(11) NOT NULL default '0',
  statusid int(11) NOT NULL default '0',
  dateplaced date NOT NULL default '0000-00-00',
  daterequired date NOT NULL default '0000-00-00',
  billeddate date NOT NULL default '0000-00-00',
  shippeddate date NOT NULL default '0000-00-00',
  subtotal float(6,2) NOT NULL default '0.00',
  shipcost float(6,2) NOT NULL default '0.00',
  tax float(6,2) NOT NULL default '0.00',
  total float(6,2) NOT NULL default '0.00',
  basecurrencyid int(4) NOT NULL default '0',
  accountid int(11) NOT NULL default '0',
  transactionid int(11) NOT NULL default '0',
  shippingid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `paygrades`
#

CREATE TABLE paygrades (
  id int(11) NOT NULL auto_increment,
  name char(16) NOT NULL default '',
  numincrements int(11) NOT NULL default '0',
  minimum float(6,2) NOT NULL default '0.00',
  maximum float(6,2) NOT NULL default '0.00',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `paymentdetails`
#

CREATE TABLE paymentdetails (
  id int(11) NOT NULL auto_increment,
  reference varchar(64) NOT NULL default '',
  extradata varchar(128) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `paymentitem`
#

CREATE TABLE paymentitem (
  id int(11) NOT NULL auto_increment,
  payid int(10) unsigned NOT NULL default '0',
  transid int(10) unsigned NOT NULL default '0',
  paytype tinyint(4) NOT NULL default '1',
  amount double NOT NULL default '0',
  enteredat timestamp NOT NULL,
  enteredby int(11) NOT NULL default '0',
  enteredstation char(20) NOT NULL default '',
  paymentdetailsid int(11) NOT NULL default '1',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `paymentterms`
#

CREATE TABLE paymentterms (
  id int(11) NOT NULL auto_increment,
  name char(32) NOT NULL default '',
  days int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `paymenttype`
#

CREATE TABLE paymenttype (
  id int(11) NOT NULL auto_increment,
  groupptrid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  cashback char(1) NOT NULL default 'N',
  cashbacklimit float NOT NULL default '0',
  bacceptable char(1) NOT NULL default 'Y',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `period`
#

CREATE TABLE period (
  id int(11) NOT NULL auto_increment,
  start date NOT NULL default '0000-00-00',
  end date NOT NULL default '0000-00-00',
  description varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `plu_cache`
#

CREATE TABLE plu_cache (
  id int(11) NOT NULL auto_increment,
  productid int(11) NOT NULL default '0',
  nameid int(11) NOT NULL default '1',
  plu varchar(16) NOT NULL default '',
  disptext varchar(64) NOT NULL default '',
  recutext varchar(32) NOT NULL default '',
  unitprice float NOT NULL default '0',
  discount float NOT NULL default '0',
  deposittype int(11) NOT NULL default '0',
  deposit float NOT NULL default '0',
  tax float NOT NULL default '0',
  itemflags int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `postaction`
#

CREATE TABLE postaction (
  id int(4) NOT NULL auto_increment,
  action varchar(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `postinterface`
#

CREATE TABLE postinterface (
  id int(11) NOT NULL auto_increment,
  postid int(11) NOT NULL default '0',
  interfaceid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `postlog`
#

CREATE TABLE postlog (
  id int(11) NOT NULL auto_increment,
  postid mediumint(9) NOT NULL default '0',
  actionid int(4) NOT NULL default '0',
  stamper timestamp NOT NULL,
  data varchar(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `posts`
#

CREATE TABLE posts (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  mac varchar(12) NOT NULL default '0',
  groupid int(11) NOT NULL default '0',
  localeid int(4) NOT NULL default '270',
  currencyid int(4) NOT NULL default '270',
  active char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `pqname`
#

CREATE TABLE pqname (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  accountid int(11) NOT NULL default '0',
  onmenu char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `prescription`
#

CREATE TABLE prescription (
  id int(11) NOT NULL auto_increment,
  prescriptionid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  transactionid int(12) unsigned NOT NULL default '0',
  prescriptionnumber varchar(32) NOT NULL default '',
  readiedbyid int(11) NOT NULL default '0',
  readiedat timestamp NOT NULL,
  insurerid int(11) NOT NULL default '0',
  customerid int(11) NOT NULL default '0',
  signatureid int(11) NOT NULL default '0',
  refill char(1) NOT NULL default 'N',
  refillnumber int(11) NOT NULL default '0',
  numrefills int(11) NOT NULL default '0',
  prescribedamount int(11) NOT NULL default '0',
  prescribeddays int(11) NOT NULL default '0',
  daysupply int(11) NOT NULL default '0',
  generatedsite int(11) NOT NULL default '0',
  willcollect char(1) NOT NULL default 'Y',
  collectedsite int(11) NOT NULL default '0',
  collectedwhen timestamp NOT NULL,
  status int(1) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `prescriptionitems`
#

CREATE TABLE prescriptionitems (
  id int(11) NOT NULL auto_increment,
  prescriptionid int(11) NOT NULL default '0',
  dispenseddate date NOT NULL default '0000-00-00',
  productid int(11) NOT NULL default '0',
  barcodeid int(11) NOT NULL default '0',
  quantity int(11) NOT NULL default '0',
  safetycap char(1) NOT NULL default 'Y',
  labelid int(11) NOT NULL default '0',
  cautionid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `printer`
#

CREATE TABLE printer (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  description varchar(64) NOT NULL default '',
  address varchar(128) NOT NULL default '',
  port varchar(5) NOT NULL default '',
  active char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `printform`
#

CREATE TABLE printform (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  description varchar(64) NOT NULL default '',
  printerid int(11) NOT NULL default '0',
  sheetid int(11) NOT NULL default '0',
  orientation char(1) NOT NULL default '',
  printitemid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `printitem`
#

CREATE TABLE printitem (
  id int(11) NOT NULL auto_increment,
  printitemid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  x int(11) NOT NULL default '0',
  y int(11) NOT NULL default '0',
  xsize int(11) NOT NULL default '0',
  ysize int(11) NOT NULL default '0',
  fixed char(1) NOT NULL default 'N',
  content varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `printsheet`
#

CREATE TABLE printsheet (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  xsize int(11) NOT NULL default '0',
  ysize int(11) NOT NULL default '0',
  left_margin int(11) NOT NULL default '0',
  right_margin int(11) NOT NULL default '0',
  top_margin int(11) NOT NULL default '0',
  bottom_margin int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `prodpricequantity`
#

CREATE TABLE prodpricequantity (
  id int(11) NOT NULL auto_increment,
  pqid mediumint(9) NOT NULL default '0',
  nameid int(11) NOT NULL default '1',
  quantity int(11) NOT NULL default '1',
  quantitytypeid int(11) NOT NULL default '0',
  udv int(11) NOT NULL default '1',
  price double(14,4) NOT NULL default '0.0000',
  basecurrencyid mediumint(9) NOT NULL default '0',
  taxid int(4) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `prodtarget`
#

CREATE TABLE prodtarget (
  id int(11) NOT NULL auto_increment,
  cmid int(11) NOT NULL default '0',
  productid int(11) NOT NULL default '0',
  periodtype int(1) NOT NULL default '0',
  period int(11) NOT NULL default '0',
  targettype int(1) NOT NULL default '0',
  target varchar(16) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `product`
#

CREATE TABLE product (
  id int(11) NOT NULL auto_increment,
  productid int(10) unsigned NOT NULL default '0',
  invid int(11) NOT NULL default '0',
  categoryid mediumint(9) NOT NULL default '0',
  accountid int(11) NOT NULL default '0',
  plu varchar(128) NOT NULL default '',
  plutype int(2) NOT NULL default '0',
  name varchar(64) NOT NULL default 'No Name',
  description varchar(128) NOT NULL default 'No Description',
  instock int(11) NOT NULL default '0',
  discontinued char(1) NOT NULL default 'N',
  imageid int(11) NOT NULL default '0',
  reciepttext varchar(64) NOT NULL default 'No Name',
  labelid int(11) NOT NULL default '0',
  sellquantityid int(11) NOT NULL default '0',
  discountid int(11) NOT NULL default '0',
  promotionid int(11) NOT NULL default '1',
  rentable char(1) NOT NULL default 'N',
  depositid int(11) NOT NULL default '0',
  ecommerce char(1) NOT NULL default 'N',
  flags int(11) unsigned NOT NULL default '0',
  productlink int(11) NOT NULL default '0',
  keywords varchar(255) NOT NULL default '',
  PRIMARY KEY  (id),
  UNIQUE KEY plu (plu)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `productcategory`
#

CREATE TABLE productcategory (
  productid int(11) NOT NULL default '0',
  categoryid int(11) NOT NULL default '0'
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `productcollection`
#

CREATE TABLE productcollection (
  prodcollid int(11) NOT NULL default '0',
  productid int(11) NOT NULL default '0'
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `productcompat`
#

CREATE TABLE productcompat (
  id int(11) NOT NULL auto_increment,
  productid int(11) NOT NULL default '0',
  productcollid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `productserialnumber`
#

CREATE TABLE productserialnumber (
  id int(11) NOT NULL auto_increment,
  serialnumber varchar(64) NOT NULL default '',
  productid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `promotion`
#

CREATE TABLE promotion (
  id int(11) NOT NULL auto_increment,
  promotionid int(11) NOT NULL default '0',
  type int(1) NOT NULL default '0',
  startdate date NOT NULL default '0000-00-00',
  enddate date NOT NULL default '0000-00-00',
  margin float(6,2) NOT NULL default '0.00',
  memo varchar(64) NOT NULL default '',
  promolinkid int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY promotionID (promotionid)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `purchaseorder`
#

CREATE TABLE purchaseorder (
  id int(11) NOT NULL auto_increment,
  purchaseorderid int(12) unsigned NOT NULL default '0',
  purchasenumber varchar(64) NOT NULL default '',
  statusid int(11) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  cmid int(11) NOT NULL default '0',
  generatedat int(11) NOT NULL default '0',
  dispatchdate date NOT NULL default '0000-00-00',
  arriveddate date NOT NULL default '0000-00-00',
  supplierid int(11) NOT NULL default '0',
  deliverto int(11) NOT NULL default '0',
  shippingid int(11) NOT NULL default '0',
  requestedby int(11) NOT NULL default '0',
  approvedby int(11) NOT NULL default '0',
  accountid int(11) NOT NULL default '0',
  transactionid int(11) NOT NULL default '0',
  linkid int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY purchaseorderID (purchaseorderid)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `purchaseorderitems`
#

CREATE TABLE purchaseorderitems (
  id int(11) NOT NULL auto_increment,
  purchaseorderid int(11) NOT NULL default '0',
  quantity int(11) NOT NULL default '1',
  inventoryid int(11) NOT NULL default '0',
  status tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `rec_stock`
#

CREATE TABLE rec_stock (
  id int(11) NOT NULL auto_increment,
  invid int(11) NOT NULL default '0',
  plu varchar(16) NOT NULL default '',
  sold int(11) NOT NULL default '0',
  returned int(11) NOT NULL default '0',
  recieved int(11) NOT NULL default '0',
  transferin int(11) NOT NULL default '0',
  transferout int(11) NOT NULL default '0',
  out int(11) NOT NULL default '0',
  stocklevelwarning int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY PLU (plu)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `rental`
#

CREATE TABLE rental (
  id int(11) NOT NULL auto_increment,
  transactionid int(11) NOT NULL default '0',
  customerid int(11) NOT NULL default '0',
  rentedfromid int(11) NOT NULL default '0',
  rentedon timestamp NOT NULL,
  duration int(11) NOT NULL default '0',
  returned char(1) NOT NULL default 'N',
  returnedtoid int(11) NOT NULL default '0',
  returnedat timestamp NOT NULL,
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `rentalitems`
#

CREATE TABLE rentalitems (
  id int(11) NOT NULL auto_increment,
  rentalid int(11) NOT NULL default '0',
  productid int(11) NOT NULL default '0',
  quantity int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `reservation`
#

CREATE TABLE reservation (
  id int(11) NOT NULL auto_increment,
  reservationid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  refid int(11) NOT NULL default '0',
  sdate date NOT NULL default '0000-00-00',
  edate date NOT NULL default '0000-00-00',
  type int(11) NOT NULL default '0',
  notes varchar(64) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `reservationref`
#

CREATE TABLE reservationref (
  refid int(11) NOT NULL default '0',
  reservationid int(11) NOT NULL default '0'
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `reservationtype`
#

CREATE TABLE reservationtype (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `return`
#

CREATE TABLE return (
  id int(11) NOT NULL auto_increment,
  transid int(11) NOT NULL default '0',
  type int(1) NOT NULL default '0',
  destination int(1) NOT NULL default '0',
  todestat timestamp NOT NULL,
  todestby int(11) NOT NULL default '0',
  reasonid smallint(6) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `returnreason`
#

CREATE TABLE returnreason (
  id int(11) NOT NULL auto_increment,
  transid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `returntype`
#

CREATE TABLE returntype (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL default '',
  active char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `rxcaution`
#

CREATE TABLE rxcaution (
  id int(11) NOT NULL auto_increment,
  cautionid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '0',
  data varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `servicecontract`
#

CREATE TABLE servicecontract (
  id int(11) NOT NULL auto_increment,
  custid int(11) NOT NULL default '0',
  typeid int(11) NOT NULL default '0',
  startdate date NOT NULL default '0000-00-00',
  enddate date NOT NULL default '0000-00-00',
  price float(6,2) NOT NULL default '0.00',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `setup`
#

CREATE TABLE setup (
  id int(4) NOT NULL default '0',
  name varchar(255) NOT NULL default '"No Name"',
  accountingdate date NOT NULL default '0000-00-00',
  regnumber varchar(64) NOT NULL default '',
  vatnumber varchar(64) NOT NULL default '',
  cmid int(11) NOT NULL default '0',
  siteid int(11) NOT NULL default '0',
  ismaster char(1) NOT NULL default 'N',
  master varchar(64) NOT NULL default '',
  connectmethod int(1) NOT NULL default '0',
  connectdata varchar(255) NOT NULL default '',
  connectlogin varchar(64) NOT NULL default '',
  connectpassword varchar(64) NOT NULL default '',
  connecttime time NOT NULL default '00:00:00',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `shipcarrier`
#

CREATE TABLE shipcarrier (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  autoupdate char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `shipping`
#

CREATE TABLE shipping (
  id int(11) NOT NULL auto_increment,
  shipnumber varchar(64) NOT NULL default '',
  carrierid int(6) NOT NULL default '0',
  rateid int(6) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `shiprate`
#

CREATE TABLE shiprate (
  id int(11) NOT NULL auto_increment,
  unitname char(32) NOT NULL default '',
  lowerbound double NOT NULL default '0',
  upperbound double NOT NULL default '0',
  unitrate double NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `signature`
#

CREATE TABLE signature (
  id int(11) NOT NULL auto_increment,
  signatureid int(11) NOT NULL default '0',
  cmid int(11) NOT NULL default '0',
  category varchar(32) NOT NULL default '',
  xdim int(11) NOT NULL default '0',
  ydim int(11) NOT NULL default '0',
  typeid int(11) NOT NULL default '0',
  fileref varchar(255) NOT NULL default '',
  validuntil date NOT NULL default '0000-00-00',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `signaturerefcount`
#

CREATE TABLE signaturerefcount (
  id int(11) NOT NULL auto_increment,
  signatureid int(11) NOT NULL default '0',
  signedat timestamp NOT NULL,
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `signaturetype`
#

CREATE TABLE signaturetype (
  id int(11) NOT NULL auto_increment,
  typeid int(11) NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `sites`
#

CREATE TABLE sites (
  id int(11) NOT NULL auto_increment,
  siteid int(11) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  addressid int(11) NOT NULL default '0',
  contactid int(11) NOT NULL default '0',
  localeid int(4) NOT NULL default '0',
  currencyid int(4) NOT NULL default '270',
  bankid int(11) NOT NULL default '0',
  annualbudget float NOT NULL default '0',
  site varchar(255) NOT NULL default '',
  encryption varchar(255) NOT NULL default '',
  login varchar(64) NOT NULL default '',
  password varchar(64) NOT NULL default '',
  active char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `status`
#

CREATE TABLE status (
  id int(11) NOT NULL auto_increment,
  name char(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `stocktake_products`
#

CREATE TABLE stocktake_products (
  id int(11) NOT NULL auto_increment,
  plu varchar(16) NOT NULL default '',
  instock int(11) NOT NULL default '0',
  currentstock int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `storecard`
#

CREATE TABLE storecard (
  id int(11) NOT NULL auto_increment,
  cardid varchar(16) NOT NULL default '',
  custid int(11) NOT NULL default '0',
  discountid int(11) NOT NULL default '0',
  barcode varchar(128) NOT NULL default '0',
  swipedata varchar(128) NOT NULL default '0',
  writable char(1) NOT NULL default 'N',
  amcurrent double NOT NULL default '0',
  amlimit double NOT NULL default '0',
  status int(1) NOT NULL default '0',
  notes varchar(64) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `supplier`
#

CREATE TABLE supplier (
  id int(11) NOT NULL auto_increment,
  supplierid int(11) NOT NULL default '0',
  intsupplierid varchar(32) NOT NULL default '',
  cmid int(11) NOT NULL default '0',
  typeid int(11) NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  addressid int(11) NOT NULL default '0',
  contactid int(11) NOT NULL default '0',
  invoicename varchar(64) NOT NULL default '',
  invoicecontactid int(11) NOT NULL default '0',
  chargeid int(11) NOT NULL default '0',
  ediid int(11) NOT NULL default '0',
  accountid varchar(32) NOT NULL default '0',
  linkid int(11) NOT NULL default '0',
  active char(1) NOT NULL default 'N',
  notes text NOT NULL,
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `suppliertype`
#

CREATE TABLE suppliertype (
  id int(11) NOT NULL auto_increment,
  name char(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `synch`
#

CREATE TABLE synch (
  id int(11) NOT NULL auto_increment,
  typeid int(11) NOT NULL default '0',
  creationdate timestamp NOT NULL,
  modifieddate timestamp NOT NULL,
  implementationat timestamp NOT NULL,
  implemented char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `synchtype`
#

CREATE TABLE synchtype (
  id int(11) NOT NULL auto_increment,
  name char(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `tabler`
#

CREATE TABLE tabler (
  id int(11) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  description varchar(64) NOT NULL default '',
  capacity int(4) NOT NULL default '0',
  notes varchar(255) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `taxrate`
#

CREATE TABLE taxrate (
  id int(11) NOT NULL auto_increment,
  taxid mediumint(9) NOT NULL default '0',
  accountid int(11) NOT NULL default '0',
  rate float(7,5) NOT NULL default '0.00000',
  onmenu char(1) NOT NULL default 'N',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `title`
#

CREATE TABLE title (
  id tinyint(4) NOT NULL auto_increment,
  name varchar(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `transaction`
#

CREATE TABLE transaction (
  id int(11) NOT NULL auto_increment,
  transactionid int(12) unsigned NOT NULL default '0',
  enteredat timestamp NOT NULL,
  enteredby int(11) NOT NULL default '0',
  enteredstation varchar(20) NOT NULL default '',
  statusid int(4) NOT NULL default '15',
  paymenttypeid int(11) NOT NULL default '0',
  refnum varchar(32) NOT NULL default '',
  description varchar(64) NOT NULL default '',
  open char(1) NOT NULL default 'Y',
  reconciled char(1) NOT NULL default 'N',
  taxable char(1) NOT NULL default 'Y',
  settlementid int(10) unsigned NOT NULL default '0',
  linkid int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY transidx (transactionid)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `transactionitems`
#

CREATE TABLE transactionitems (
  id int(11) NOT NULL auto_increment,
  transactionid int(11) NOT NULL default '0',
  enteredat timestamp NOT NULL,
  enteredby int(11) NOT NULL default '0',
  enteredstation varchar(20) NOT NULL default '',
  type int(4) NOT NULL default '2',
  plu varchar(132) NOT NULL default '0000000000000',
  quantity int(11) NOT NULL default '1',
  PRIMARY KEY  (id),
  KEY transidx (transactionid)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `transtype`
#

CREATE TABLE transtype (
  id int(11) NOT NULL auto_increment,
  transid int(11) NOT NULL default '0',
  type int(1) NOT NULL default '0',
  data varchar(32) NOT NULL default '',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `u_plu`
#

CREATE TABLE u_plu (
  id int(11) NOT NULL auto_increment,
  entryat timestamp NOT NULL,
  plu varchar(128) NOT NULL default '',
  plutype int(1) NOT NULL default '0',
  name varchar(64) NOT NULL default 'No Name',
  unitprice double NOT NULL default '0',
  discount float NOT NULL default '0',
  tax float NOT NULL default '0',
  PRIMARY KEY  (id),
  UNIQUE KEY PLU (plu)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `userauth`
#

CREATE TABLE userauth (
  id int(11) NOT NULL auto_increment,
  userid int(11) NOT NULL default '0',
  authid int(11) NOT NULL default '1',
  interfaceid int(11) NOT NULL default '0',
  groupid int(11) NOT NULL default '0',
  loginmethodid int(11) NOT NULL default '0',
  PRIMARY KEY  (id),
  KEY UserID (userid)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `users`
#

CREATE TABLE users (
  id int(11) NOT NULL auto_increment,
  login varchar(16) NOT NULL default '',
  password varchar(16) NOT NULL default '',
  userdata varchar(255) NOT NULL default '',
  profile varchar(255) NOT NULL default '',
  logintypesid int(4) NOT NULL default '0',
  employeeid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;

# --------------------------------------------------------

#
# Table structure for table `voucher`
#

CREATE TABLE voucher (
  id int(11) NOT NULL auto_increment,
  voucherid varchar(16) NOT NULL default '',
  plu varchar(128) NOT NULL default '',
  enddate date NOT NULL default '0000-00-00',
  used char(1) NOT NULL default 'N',
  type int(1) NOT NULL default '0',
  margin double NOT NULL default '0',
  productlinkid int(11) NOT NULL default '0',
  PRIMARY KEY  (id)
) TYPE=InnoDB;
